% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/proportional_hazards-survival.R
\name{survival_prob_coxph}
\alias{survival_prob_coxph}
\title{A wrapper for survival probabilities with coxph models}
\usage{
survival_prob_coxph(
  object,
  x = deprecated(),
  new_data,
  eval_time,
  time = deprecated(),
  output = "surv",
  interval = "none",
  conf.int = 0.95,
  ...
)
}
\arguments{
\item{object}{A parsnip \code{model_fit} object resulting from
\link[parsnip:details_proportional_hazards_survival]{proportional_hazards() with engine = "survival"}.}

\item{x}{Deprecated. A model from \code{coxph()}.}

\item{new_data}{Data for prediction}

\item{eval_time}{A vector of integers for prediction times.}

\item{time}{Deprecated in favor of \code{eval_time}. A vector of integers for prediction times.}

\item{output}{One of \code{"surv"}, \code{"conf"}, or \code{"haz"}.}

\item{interval}{Add confidence interval for survival probability? Options
are \code{"none"} or \code{"confidence"}.}

\item{conf.int}{The confidence level.}

\item{...}{Options to pass to \code{\link[survival:survfit]{survival::survfit()}}}
}
\value{
A tibble with a list column of nested tibbles.
}
\description{
A wrapper for survival probabilities with coxph models
}
\examples{
cox_mod <- proportional_hazards() \%>\% 
  set_engine("survival") \%>\%
  fit(Surv(time, status) ~ ., data = lung)
survival_prob_coxph(cox_mod, new_data = lung[1:3, ], eval_time = 300)
}
\keyword{internal}
